* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    font-family: 'Georgia', serif;
    background-color: #F8F4E3;
    color: #333;
}

.navbar {
    position: sticky;
    top: 0;
    z-index: 1000;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 20px;
    background-color: #4B3D6D;
    color: #fff;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
}

.navbar .logo {
    font-size: 26px;
    font-weight: bold;
}



.nav-list {
    display: flex;
    align-items: center;
    list-style: none;
}

.nav-list li {
    margin: 0 20px;
}

.nav-list a {
    color: #fff;
    text-decoration: none;
    font-size: 18px;
    font-weight: 500;
    transition: color 0.3s;
    position: relative;
}

.nav-list a:hover {
    color: #ba8e3d;
}

.menu-toggle {
    display: none;
    cursor: pointer;
}

.search-bar {
    display: flex;
    margin-left: 20px;
}

.search-bar input {
    padding: 8px;
    border: 2px solid #4B3D6D;
    border-radius: 4px;
}

.navbar a::after {
    content: '';
    position: absolute;
    left: 50%;
    bottom: -3px;
    width: 100%;
    height: 2px;
    background: #ba8e3d;
    transform: translateX(-50%) scaleX(0);
    transition: transform 0.4s ease;
}

.navbar a:hover::after {
    transform: translateX(-50%) scaleX(1);
}

.menu-toggle {
    display: none;
    cursor: pointer;
    font-size: 25px;
}

#search-bar {
    padding: 0 10px;
    height: 30px;
    outline: none;
    border: 2px solid #4B3D6D;
    border-radius: 7px;
}

@media (max-width: 768px) {
    .nav-list {
        display: none;
        flex-direction: column;
        position: absolute;
        top: 60px;
        right: 0;
        background: #4B3D6D;
        width: 100%;
        z-index: 1;
        box-shadow: 0px 20px 20px 0px rgba(0, 0, 0, 0.5)
    }

    .nav-list li {
        margin: 5px 0;
    }

    #search-bar {
        display: none;
    }

    .nav-list.active {
        display: flex;
        padding: 12px;
    }

    .menu-toggle {
        display: flex;
    }
}

::-webkit-scrollbar {
    width: 12px;
}

::-webkit-scrollbar-track {
    background: #F4F1E6;
}

::-webkit-scrollbar-thumb {
    background: #4B3D6D;
    border-radius: 6px;
}

::-webkit-scrollbar-thumb:hover {
    background: #A67C30;
}

main {
    padding: 30px 0;
    background-color: #EDEAE4;
}

.products {
    display: flex;
    flex-wrap: wrap;
    text-align: center;
    justify-content: center;
    gap: 20px;
}

.product-cart {
    border: 2px solid #4B3D6D;
    width: 15rem;
    border-radius: 12px;
    background-color: #fff;
    padding: 10px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    transition: transform 0.3s, box-shadow 0.3s;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.product-cart:hover {
    transform: translateY(-5px);
    box-shadow: 0 6px 15px rgba(0, 0, 0, 0.3);
}

.cart-body {
    background-color: #F4F1E6;
    margin: 0;
    padding: 10px 5px;
    border-radius: 10px;
    flex-grow: 1;
}

.pimg {
    height: 10rem;
    margin: 0 0 10px 0;
    padding: 10px;
    aspect-ratio: 4/5;
}

.JStitle {
    font-size: 20px;
    width: 90%;
    height: 70px;
    margin: 10px auto;
    overflow: hidden;
    word-break: break-all;
    font-family: 'Georgia', serif;
    font-weight: bold;
}

.JSprice {
    color: #A67C30;
    font-size: 18px;
    margin: 10px 0;
}

.JSdescription {
    height: 65px;
    overflow: hidden;
    margin: 15px 0;
    font-size: 14px;
    transition: max-height 0.3s ease-in-out;
}

.product-cart:hover .JSdescription {
    max-height: 120px;
}

.JScategory {
    text-transform: capitalize;
    font-size: 16px;
    font-style: italic;
    margin-top: auto;
    margin-bottom: 10px;
    height: 40px;
    overflow: hidden;
}

.loader {
    display: none;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.8);
    z-index: 9999;
    justify-content: center;
    align-items: center;
}

.loader:before {
    content: '';
    border: 8px solid #f3f3f3;
    border-top: 8px solid #4B3D6D;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}



/* Footer Styles */
footer {
    background-color: #4B3D6D;
    color: #ede9e4;
    padding: 0 20px;
    font-family: 'Georgia', serif;
}

.footer-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-content: center;
    max-width: 1200px;
    margin: 0 auto;
    overflow: hidden;
}

.footer-section {
    flex: 1 1 160px;
    margin: 20px;
    min-width: 220px;
}

.footer-section h4 {
    font-size: 18px;
    margin-bottom: 15px;
    border-bottom: 2px solid #A67C30;
    padding-bottom: 5px;
}

.footer-section p {
    line-height: 1.6;
}

.footer-section a {
    color: #A67C30;
    text-decoration: none;
}

.footer-section a:hover {
    text-decoration: underline;
    color: #ba8e3d;
}

.footer-section ul {
    list-style-type: none;
    padding: 0;
}

.footer-section ul li {
    margin: 10px 0;
}

.social-media {
    list-style-type: none;
    padding: 0;
    display: flex;
    justify-content: flex-start;
}

.social-media i {
    font-size: 30px;
    margin-right: 15px;
}

.footer-bottom {
    text-align: center;
    font-size: 14px;
    border-top: 1px solid #333;
    padding: 20px 0;
    color: #F8F4E3;
}

.payment-methods {
    list-style: none;
    padding: 0;
    display: flex;
    justify-content: center;
    gap: 10px;
}

.payment-methods li {
    width: 45px;
    height: 80px;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: transparent;
}

.payment-methods i {
    font-size: 35px;
}

@media (max-width: 768px) {
    .footer-container {
        flex-direction: column;
        align-items: center;
    }

    .footer-section {
        text-align: center;
    }

    .social-media {
        justify-content: center;
    }

    .payment-methods {
        justify-content: center;
        flex-wrap: wrap;
    }
}

.go-to-top {
    text-align: center;
    padding: 20px 0;
    border-bottom: 1px solid black;
    cursor: pointer;
    font-weight: bold;
}

.go-to-top i {
    position: relative;
    left: 6px;
    top: 5px;
}